Package org.jfree.layouting.renderer

## Class FlowContext

- java.lang.Object
- - org.jfree.layouting.renderer.FlowContext

-     public final class FlowContext
      extends java.lang.Object

  Creation-Date: 11.11.2006, 15:47:36
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FlowContext.FlowContextState` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowContext​(RenderableTextFactory textFactory, NormalFlowRenderBox currentFlow)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NormalFlowRenderBox` | `getCurrentFlow​()` |
    `RenderableTextFactory` | `getTextFactory​()` |
    `FlowContext.FlowContextState` | `saveState​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowContext

          public FlowContext​(RenderableTextFactory textFactory,
                             NormalFlowRenderBox currentFlow)

  - ### Method Detail

    - #### getTextFactory

          public RenderableTextFactory getTextFactory​()

    - #### getCurrentFlow

          public NormalFlowRenderBox getCurrentFlow​()

    - #### saveState

          public FlowContext.FlowContextState saveState​()
                                                 throws StateException

      Throws:
        `StateException`